
VIRTUAL CREDIT CARD - Bug #16493

iOS [TREATS] Please add additional logic checking before UPAY card checking

15 May 2023 04:23 PM - hsulynn pang

Status: Closed Start date: 15 May 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Please add additional logic checking before UPAY card checking

-if BE return treats flag: true, then FE do the UPAY card checking

-if BE return treats flag: false, then FE dont need to do the UPAY card checking

History

#1 - 15 May 2023 04:27 PM - hsulynn pang

Please add additional logic checking before UPAY card checking

-if BE return treats flag: true, then FE do the UPAY card checking

-if BE return treats flag: false, then FE dont need to do the UPAY card checking (FE dont need to show the My Treats button)

#2 - 15 May 2023 05:11 PM - He Xi Yeo

- Status changed from New to Resolved

- Assignee changed from He Xi Yeo to hsulynn pang

- % Done changed from 0 to 100

#3 - 15 May 2023 05:39 PM - hsulynn pang

- File test treatsFlag false (2).PNG added

- File test treatsFlag false (1).PNG added

tested treatsFlag=false

#4 - 16 May 2023 09:46 AM - hsulynn pang

- File treats flag true bin non upay.PNG added

- File treats flag true bin upay.PNG added

- Status changed from Resolved to Closed

tested

treatsflag= true

Files

test treatsFlag false (2).PNG 287 KB 15 May 2023 hsulynn pang

test treatsFlag false (1).PNG 269 KB 15 May 2023 hsulynn pang

treats flag true bin non upay.PNG 287 KB 16 May 2023 hsulynn pang

treats flag true bin upay.PNG 327 KB 16 May 2023 hsulynn pang
